import HeaderNav from "./_ui/HeaderNav";
import SiderNav from "./_ui/SiderNav";
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faArrowRotateBack, faDeafness, faImage, faMagnet, faMessage, faPenClip, faSearch, faThumbsUp, faVideo } from '@fortawesome/free-solid-svg-icons'
import '@fortawesome/fontawesome-svg-core/styles.css'
import { LinkTypeItem } from "./_lib/types";
import Search from "./_ui/search";
const defaultLinkList = [
  {
    label: 'AI应用集',
    icon: <FontAwesomeIcon icon={faThumbsUp} className="fa-fw text-[20px]" />,
    href: '/ai-apps',
    id: 1,
  },
  {
    label: 'AI写作工具',
    icon: <FontAwesomeIcon icon={faPenClip} className="fa-fw text-[20px]" />,
    href: '/?type=ai-writing',
    id: 2,
  },
  {
    label: 'AI图像工具',
    icon: <FontAwesomeIcon icon={faImage} className="fa-fw  text-[20px]" />,
    href: '/?type=ai-image',
    id: 3,
  },
  {
    label: 'AI办公工具',
    icon: <FontAwesomeIcon icon={faArrowRotateBack} className="fa-fw text-[20px]" />,
    href: '/?type=ai-office',
    id: 4,
  },
  {
    label: 'AI对话聊天',
    icon: <FontAwesomeIcon icon={faMessage} className="fa-fw text-[20px]" />,
    href: '/?type=ai-chat',
    id: 5,
  },
  {
    label: 'AI编程工具',
    icon: <FontAwesomeIcon icon={faMagnet} className="fa-fw text-[20px]" />,
    href: '/?type=ai-programming',
    id: 6,
  },
  {
    label: 'AI搜索引擎',
    icon: <FontAwesomeIcon icon={faSearch} className="fa-fw text-[20px]" />,
    href: '/?type=ai-search',
    id: 7,
  },
  {
    label: 'AI音频工具',
    icon: <FontAwesomeIcon icon={faVideo} className="fa-fw text-[20px]" />,
    href: '/?type=ai-audio',
    id: 8,
  },
  {
    label: 'AI开发平台',
    icon: <FontAwesomeIcon icon={faDeafness} className="fa-fw text-[20px]" />,
    href: '/?type=ai-platform',
    id: 9,
  }
] as LinkTypeItem[];
export default function Home() {

  return (
    <div className="flex min-h-full w-full font-[family-name:var(--font-geist-sans)]">
      <SiderNav linkList={defaultLinkList} />
      <main className="flex-1  flex  flex-col bg-gradient-to-br from-[#E6EEF4]   via-[#F1ECF4] to-[#F5ECEA]">
        <HeaderNav></HeaderNav>
        <Search></Search>
      </main>
    </div>
  );
}
